<?php

namespace Treewec\DirectoryIterators;

/**
 * Test class for IteratorBinder.
 * Generated by PHPUnit on 2012-07-04 at 09:37:51.
 * @group directory_iterators
 */
class IteratorBinderTest extends \PHPUnit_Framework_TestCase {

    /** @var IteratorBinder */
    private $binder;

    protected function setUp() {
        $iterator = new DirectoryIterator(TEMP_FILEDIR);        
        $this->binder = new IteratorBinder($iterator);
    }

    public function test__construct() {
        parent::assertInstanceOf('\Iterator', $this->binder);
        // invalid
        $exceptionHelper = new \Treewec\ExceptionHelper();
        $exceptionHelper->catchExceptionInConstructor('\Treewec\Exceptions\InstanceException', '\Treewec\DirectoryIterators\IteratorBinder', array());
    }

    public function testIterating() {
        foreach ($this->binder as $key => $file) {
            parent::assertTrue($key >= 0);
            parent::assertInstanceOf('\Treewec\DirectoryIterators\IteratorElement', $file);
        }
    }

}

?>
